Add tags to a single entity

This method allows updating tags of a single entity. An object should be passed.

Limitations
The method is available in correspondence to the user rights.

Request parameters

It is important to note that all entity tags should be passed. If already attached tags are not passed, they will be detached from the entity.

ParameterData typeDescription
  • embedded[tags]
array|nullAdded tags data. Added tags data.
Pass 'null' to detach tags from an entity.
  • embedded[tags][0]
objectTag model. Either “id” or “name” parameter is required
  • embedded[tags][0][id]
intTag ID
  • embedded[tags][0][name]
stringTag name

An example of the request

    {
        "_embedded": {
            "tags": [
                {
                    "id": 263807
                }
            ]
        }
    }

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters
The method returns an updated entity object.

Path Params
string
enum
required

One of these: leads|contacts|companies

Allowed:
int32
required

Entity ID

Body Params
_embedded
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json